This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 971884 - (CVE-2013-2157) CVE-2013-2157 openstack-keystone: Authentication bypass when using LDAP backend
CVE-2013-2157 openstack-keystone: Authentication bypass when using LDAP backend
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130613,repo...
: Security
Depends On: 972245 973812 974950 974951
Blocks: 971892 973859
  Show dependency treegraph
 
Reported: 2013-06-07 09:39 EDT by Jan Lieskovsky
Modified: 2016-04-26 21:43 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 23:28:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed upstream patch for the issue against master branch (3.29 KB, patch)
2013-06-07 09:43 EDT, Jan Lieskovsky
no flags Details | Diff
Proposed upstream patch for the issue against grizzly branch (3.29 KB, patch)
2013-06-07 09:44 EDT, Jan Lieskovsky
no flags Details | Diff
Proposed upstream patch for the issue against folsom branch (3.00 KB, patch)
2013-06-07 09:44 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2013-06-07 09:39:30 EDT
A security flaw was found in the way Keystone, a Python implementation of the OpenStack identity service API, performed user authentication when the LDAP backend was used (previously user-provided empty LDAP password resulted into an anonymous LDAP bind to be performed, resulting into successful user authentication). A remote attacker could use this flaw to obtain unauthorized access to the OpenStack functionality (user account impersonation, retrieval of valid authentication tokens).

Note: This issue solely affects only Keystone configurations using the LDAP authentication backend.

Acknowledgements:

Red Hat would like to thank Thierry Carrez of OpenStack upstream for reporting this issue. Upstream acknowledges Jose Castro Leon of CERN as the original issue reporter.
Comment 2 Jan Lieskovsky 2013-06-07 09:43:25 EDT
Created attachment 758168 [details]
Proposed upstream patch for the issue against master branch
Comment 3 Jan Lieskovsky 2013-06-07 09:44:16 EDT
Created attachment 758169 [details]
Proposed upstream patch for the issue against grizzly branch
Comment 4 Jan Lieskovsky 2013-06-07 09:44:59 EDT
Created attachment 758170 [details]
Proposed upstream patch for the issue against folsom branch
Comment 5 Jan Lieskovsky 2013-06-07 09:47:23 EDT
Preliminary embargo date for this issue has been set up by OpenStack upstream to Thursday, 13-th of June 2013, 15:00 UTC time.
Comment 6 Jan Lieskovsky 2013-06-07 09:48:15 EDT
This issue affects the versions of the openstack-keystone package, as shipped with Fedora release of 17, 18, Rawhide and Fedora EPEL-6.
Comment 7 Jan Lieskovsky 2013-06-07 09:56:44 EDT
This issue did NOT affect the versions of the python-keystoneclient, as shipped with Fedora release of 17, 18, Rawhide and Fedora EPEL-6.
Comment 10 Jan Lieskovsky 2013-06-17 04:49:43 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 974950]
Affects: epel-6 [bug 974951]
Comment 11 errata-xmlrpc 2013-06-27 12:47:26 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:0994 https://rhn.redhat.com/errata/RHSA-2013-0994.html
Comment 12 Fedora Update System 2013-07-12 15:37:20 EDT
openstack-keystone-2012.2.4-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2013-07-16 13:31:48 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:1083 https://rhn.redhat.com/errata/RHSA-2013-1083.html
Comment 14 Fedora Update System 2013-07-20 05:31:51 EDT
openstack-keystone-2013.1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-08-09 13:01:28 EDT
openstack-keystone-2012.2.4-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.